disdikpateng/urls.py
from django.contrib import admin
from django.urls import path, include, re_path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.views.static import serve
from django.views.generic import TemplateView

urlpatterns = [
    path('sudo_manage_panel/', admin.site.urls),
    # path('accounts/reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name='profile/admin/user/password/password_reset_complete.html'), name='password_reset_complete'), 
    # path('accounts/', include("django.contrib.auth.urls")),
    path('ckeditor/', include('ckeditor_uploader.urls')),
    path('', include('rizq_sanjaya_app.urls')),
    path('captcha/',include("captcha.urls")),
    re_path(r'^media/(?P<path>.*)$', serve,{'document_root': settings.MEDIA_ROOT}), 
    re_path(r'^static/(?P<path>.*)$', serve,{'document_root': settings.STATIC_ROOT}),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += [
    path('<path:unknown_url>', TemplateView.as_view(template_name='404.html'), name='404'),
]

rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    path('', dashboard.index, name='home'),
    path('sejarah/', profiledinas.index, name='sejarah'),
    path('visimisi/', profiledinas.VisiMisi, name='visimisi'),
    path('tugas/', profiledinas.Tugas, name='tugas'),
    path('struktur/', profiledinas.Struktur, name='struktur'),
    path('profilpejabat/', profiledinas.Pejabat, name='pejabat'),

     # ## ADD PAKBAS =======================================================
    path('infoterpadu/', fe_infoterpadu.index_infografis, name='infoterpadu_infografis'),
    path('infopublik/', fe_infoterpadu.index_infopublik, name='infoterpadu_infopublik'),
    path('infoagenda/', fe_infoterpadu.index_infoagenda, name='infoterpadu_agenda'),
    path('infoagenda/<str:slug>', fe_infoterpadu.admin_detail_agenda, name='infoterpadu_agenda_detail'),
    path('infokalender/', fe_infoterpadu.index_infokalender, name='infoterpadu_kalender_pendidikan'),
    path('infokalender/detail/<str:slug>', fe_infoterpadu.admin_detail_kalender, name='infoterpadu_det_kalender_pendidikan'),
    path('infoterpadu/regulasi/', fe_infoterpadu.index_inforegulasi, name='infoterpadu_regulasi'),
    
    

    # Berita =============================================
    path('berita/', berita.index, name='berita'),
    path('berita/<str:slug>', berita.cat_berita, name='kat_berita'),
    path('berita/tag/<str:slug>', berita.tag_berita, name='tag_berita'),
    path('berita/detail/<str:slug>', berita.detail_berita, name='detail_berita'),

    # Layanan ==============================================
    path('layanan/', layanan.index, name='layanan'),
    path('layanan/info_publik', layanan.info_publik, name='info_publik'),
    path('layanan/pengaduan', layanan.pengaduan, name='pengaduan'),
    path('layanan/permohonan', layanan.permohonan, name='permohonan'),


    path('layanan/input_pengaduan', pengaduan.Inputpengaduan, name='input_pengaduan'),


    path('inovasi/', fe_inovasi.index, name='inovasi'),
    path('det_inovasi/<str:slug>', fe_inovasi.admin_detail, name='detail_inovasi'),
    path('bycategory/<str:slug>', fe_inovasi.admin_by_category, name='detail_inovasi_bycategory'),
    path('contact/', fe_contact.index, name='contact'),

    # ## ADD JOEL =======================================================
    path('ppid/<str:slug>', ppid.index, name='ppid_index'),
    
    #INI ADALAH DISDIK PATENG
    # path('profile/', dashboard.profil, name='profil'),
    # path('paket/', dashboard.paket, name='paket'),
    # path('detail_paket/<int:id>', dashboard.detail_paket, name='detail_paket'),
    # path('cara_bayar/', dashboard.cara_bayar, name='cara_bayar'),
    # path('gallery/', dashboard.galeri, name='galeri'),
    # path('berita/', dashboard.berita, name='berita'),
    # path('category/<int:id>', dashboard.kategori, name='kategori'),
    # path('detail_berita/<str:slug>', dashboard.detail_berita, name='detail_berita'),
    # path('contact/', dashboard.kontak, name='kontak'),
    # path('prev/<int:id>/', dashboard.prev, name='prev'),
    # path('next/<int:id>/', dashboard.next, name='next'),
    # path('Category/', dashboard.ajax, name='ajax'),
    # path('Produk/<int:id>', dashboard.produk, name='produk'),
    # path('contact_us/', dashboard.contact, name='contact'),
    # path('supplier/', dashboard.supplier, name='supplier'),
    # path('render_laporan/', dashboard.render_laporan, name='render_laporan'),
    # DOKUMEN PUBLIKASI
    # path('dokumen/', documents.index, name='document'),
    # path('dokumen/<str:slug>', documents.detail, name='document_detail'),
    # ABOUT ==================
    # path('about/', halaman.index_about, name='idx_about'),
    # KONTAK PAJERO SPORT ==================
    # path('contact/', halaman.index_contact, name='idx_contact'),
    # === Layanan ========================
    # path('layanan/', layanan.index, name='layanan'),
    # path('layanan/<str:jenis>', layanan.detail, name='layanan'),
    # path('layanan/komoditas/<str:jenis>', layanan.detail_komoditas, name='detail_komoditas'),
    # NEWS ========================================
    # path('berita/', news.index, name='news'),
    # path('berita/<str:slug>', news.detail, name='news_detail'),
    # path('berita/category/<str:jenis>/<str:slug>', news.category, name='news_by_category'),
    # DOKUMEN PUBLIKASI
    # path('galeri/', gallery.index, name='gallery'),
    # path('galeri/<str:slug>', gallery.detail, name='gallery_detail'),
    # TAGS
    path('tags/<str:jenis>/<str:slug>', tags.index, name='tags'),


    ################################################# PATH URL UNTUK ADMIN################################################# 
    path('manage_panel/', include(
        [
            path('', auth.LoginViews, name='index_login'),
            path('logout/', auth.LogoutViews, name='logout_akun'),
            path('dashboard/', admin.index, name='admin_home'),
            path('fetch_data_pengaduan/', admin.Datapengaduan, name='admin_datapengaduan'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

            # path('modal/<str:jenis>', admin.admin_modal_archive, name='admin_modal_archive'),

            #LAYANAN PROFIL SKPD===============================
            path('profilskpd/', include(
                [
                    path('', profilskpd.admin_index, name='admin_profilskpd'),
                    path('create/', profilskpd.create, name='admin_profilskpd_create'),
                    path('edit/<str:slug>', profilskpd.edit, name='admin_profilskpd_edit'),
                    path('soft_delete/<int:id>', profilskpd.softDelete, name='admin_profilskpd_soft_delete'),
                    path('restore/<int:id>', profilskpd.restore, name='admin_profilskpd_restore'),
                    
                ]
            )),

            #LAYANAN DINAS PENDIDIKAN===============================
            path('layanandinas/', include(
                [
                    path('', layanan_.admin_index, name='admin_layanan'),
                    path('create/', layanan_.create, name='admin_layanan_create'),
                    path('edit/<int:id>', layanan_.edit, name='admin_layanan_edit'),
                    path('soft_delete/<int:id>', layanan_.softDelete, name='admin_layanan_soft_delete'),
                    path('restore/<int:id>', layanan_.restore, name='admin_layanan_restore'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('aksesbilitas/', include(
                [
                    path('', aksesbilitas.admin_index, name='admin_aksesbilitas'),
                    path('create/', aksesbilitas.create, name='admin_aksesbilitas_create'),
                    path('edit/<int:id>', aksesbilitas.edit, name='admin_aksesbilitas_edit'),
                    path('soft_delete/<int:id>', aksesbilitas.softDelete, name='admin_aksesbilitas_soft_delete'),
                    path('restore/<int:id>', aksesbilitas.restore, name='admin_aksesbilitas_restore'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('kategori_pengaduan/', include(
                [
                    path('', kat_pengaduan.admin_index, name='admin_kat_pengaduan'),
                    path('create/', kat_pengaduan.create, name='admin_kat_pengaduan_create'),
                    path('edit/<str:slug>', kat_pengaduan.edit, name='admin_kat_pengaduan_edit'),
                    path('soft_delete/<str:slug>', kat_pengaduan.softDelete, name='admin_kat_pengaduan_soft_delete'),
                    path('restore/<str:slug>', kat_pengaduan.restore, name='admin_kat_pengaduan_restore'),
                    path('permanent_delete/<str:slug>', kat_pengaduan.permanentDelete, name='admin_kat_permanent_delete'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('pelayanan_pengaduan/', include(
                [
                    path('', pengaduan.admin_index, name='admin_pelayanan_pengaduan'),
                    path('status_pengaduan/<int:id>', pengaduan.Approve, name='admin_status_pengaduan'),
                    path('belum_selesai/<int:id>', pengaduan.NotApprove, name='admin_status_not_aprrove_pengaduan'),
                    path('input_catatan/<int:id>', pengaduan.inputCatatan, name='admin_input_catatan_alasan'),
                    
                ]
            )),

             #INFORMASI TERPADU DINAS PENDIDIKAN===============================
            path('infoterpadu/', include(
                [
                    # ROUTE INFOGRAFIS
                    path('infografis/', infoterpadu.admin_index_infografis, name='admin_infoterpadu_infografis'),
                    path('infografis/create/', infoterpadu.admin_index_infografis_create, name='admin_infoterpadu_infografis_cretae'),
                    path('infografis/edit/<str:slug>', infoterpadu.admin_index_infografis_edit, name='admin_infoterpadu_infografis_edit'),
                    # ROUTE INFOPUBLIK
                    path('infopublik/', infoterpadu.admin_index_infopublik, name='admin_infoterpadu_infopublik'),
                    path('infopublik/create/', infoterpadu.admin_index_infopublik_create, name='admin_infoterpadu_infopublik_cretae'),
                    path('infopublik/edit/<str:slug>', infoterpadu.admin_index_infopublik_edit, name='admin_infoterpadu_infopublik_edit'),

rizq_sanjaya_app/views/_complaint.py
from django.shortcuts import render, HttpResponse, HttpResponseRedirect, redirect
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from ..forms import *
from django.contrib import messages
from ..models import Complaint
import os
from django.conf import settings
from django.core.mail import EmailMessage, get_connection
from django.template.loader import get_template
from django.utils import timezone
from ..decorators import *

@require_http_methods(["GET", "POST"])
def index(request):
    if request.method == 'GET':
        favorits = News.objects.filter(deleted_at=None).order_by('-seen')[:5]
        form = ComplaintForm()
        context = {
            'title' : 'Pengaduan',
            'form' : form,
            'favs' : favorits,
            'captcha' : MyCaptcha(),
        }

        return render(request, 'profile/complaint/index.html', context)
    
    if request.method == 'POST':
        form = ComplaintForm(data=request.POST)
        captcha = MyCaptcha(request.POST)

        if captcha.is_valid():
            if form.is_valid():
                try:
                    message = get_template("profile/email/complaint.html").render({
                        'name': request.POST.get('name'),
                        'email': request.POST.get('email'),
                        'phone': request.POST.get('phone'),
                        'subject': request.POST.get('subject'),
                        'message': request.POST.get('message'),
                    })
                    connection = get_connection(host=settings.EMAIL_HOST, 
                                                port=settings.EMAIL_PORT, 
                                                username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                                password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                                use_tls=settings.EMAIL_USE_TLS)
                    mail = EmailMessage(
                        subject=request.POST.get('subject'),
                        body=message,
                        to=[
                            # masih perlu diupdate
                            'yoelaris@gmail.com',
                        ],
                        connection=connection,
                    )
                    form.save()
                    
                    mail.content_subtype = "html"
                    mail.send()

                    messages.success(request, 'Pengaduan anda berhasil dikirim.')
                    
                except:
                    messages.success(request, 'Pengaduan anda gagal dikirim.')
                
                return redirect('profile:complaint')
        else:
            messages.error(request, 'Pengaduan anda gagal dikirim. Captcha tidak sama.')
            return redirect('profile:complaint')

        return render(request, 'profile/complaint/index.html', {'form': form})

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_index(request):
    complaint = Complaint.objects.filter(deleted_at = None).order_by('-created_at')
    archives = Complaint.objects.filter(deleted_at__isnull=False).order_by('-created_at')
    context = {
        'title' : 'Pengaduan - Admin',
        'complaints' : complaint,
        'archives' : archives,
    }
    
    return render(request, 'profile/admin/complaint/index.html', context)

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_detail(request, slug):
    template = 'profile/admin/complaint/detail.html'
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.read_status=True
        complaint.save()
    except Complaint.DoesNotExist:
        complaint = None
    context = {
        'title' : 'Pengaduan' if complaint != None else 'TIDAK DITEMUKAN',
        'complaint' : complaint,
    }
    return render(request, template, context)

@login_required
@is_verified()
@require_http_methods(["POST"])
def reply(request):
    if request.method == 'POST':
        try:
            complaint = Complaint.objects.get(slug=request.POST.get('slug'))
            message = get_template("profile/email/complaint_reply.html").render({
                'name': complaint.name,
                'subject': complaint.subject,
                'message': complaint.message,
                'reply' : request.POST.get('balasan'),
            })
            connection = get_connection(host=settings.EMAIL_HOST, 
                                        port=settings.EMAIL_PORT, 
                                        username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                        password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                        use_tls=settings.EMAIL_USE_TLS)
            mail = EmailMessage(
                subject=f"Balasan terhadap pengaduan: {complaint.subject}",
                body=message,
                to=[
                    complaint.email,
                ],
                connection=connection,
            )
            mail.content_subtype = "html"
            mail.send()

            complaint.reply_status = True
            complaint.save()

            messages.success(request, 'Balasan anda berhasil dikirim.')
            return redirect('profile:admin_complaint_detail', slug=complaint.slug)
            
        except:
            messages.success(request, 'Balasan anda gagal dikirim.')
            return redirect('profile:complaint')

@login_required
@is_verified()
def softDelete(request, slug):
    message = ''
    try:
        sekarang = timezone.now()
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = sekarang
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

@login_required
@is_verified()
def permanentDelete(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.delete()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)
    
@login_required
@is_verified()
def restore(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = None
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

rizq_sanjaya_app/templates/profile/layouts/admin/admin_layout.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" type="image/png" href="{% static 'admin/images/favicon/android-chrome-100x100.png' %}">

    {% if title %}
        <title>{{ title }} | Manage Panel</title>
    {% else %}
        <title>Manage Panel</title>
    {% endif %}
    
    <!-- JS -->
    {% block scripts %} {% endblock scripts %}

    <!-- CSS -->
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/bootstrap-icons-1.8.3/bootstrap-icons.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/boxicons/css/boxicons.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/fontawesome-free/css/all.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/sb-admin/sb-admin-2.css' %}">
    {% block css %} {% endblock css %}

</head>
<body>
    <div id="wrapper">
        {% include 'profile/layouts/admin/sidebar.html' %}
        <div id="content-wrapper" class="d-flex flex-column">
            <div id="content">
                {% block navbar %} {% endblock navbar %}
                <div class="container-fluid">
                    {% block main %} {% endblock main %}

                    <!-- MODAL TO CROP THE IMAGE -->
                    <div class="modal fade" id="modalCrop" data-backdrop="static" data-keyboard="false">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="m-0 font-weight-bold text-info">Sesuaikan Foto</h5>
                                    <button type="button" class="close text-info modal-close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <img src="" id="image" style="max-width: 80%;">
                                </div>
                                <div class="modal-footer">
                                <div class="btn-group pull-left" role="group">
                                    <button type="button" class="btn btn-default js-zoom-in">
                                        <i class="bi bi-zoom-in"></i>
                                    </button>
                                    <button type="button" class="btn btn-default js-zoom-out">
                                        <i class="bi bi-zoom-out"></i>
                                    </button>
                                </div>
                                <button type="button" class="btn btn-info js-crop-and-upload">Crop</button>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="bi bi-arrow-up"></i>
    </a>
    
    {% block modal %} {% endblock modal %}

    {% block footer %} {% endblock footer %}

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'admin/js/jquery-3.2.1.min.js' %}"></script>
    <script src="{% static 'admin/js/popper.min.js' %}"></script>
    <script src="{% static 'admin/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'admin/js/sb-admin/sb-admin-2.js' %}"></script>
    <script src="{% static 'admin/js/sweetalert2.min.js' %}"></script>

    <script>
        var csrf_token = "{{csrf_token}}";
        
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
        
        function logout(){
            Swal.fire({
                title: `Apakah anda yakin ingin keluar?`,
                showCancelButton: true,
                confirmButtonText: 'Keluar',
                cancelButtonText: 'Batal',
                }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        url: `{% url 'profile:logout_akun' %}`,
                        data: {},
                        dataType: "html",
                        timeout: 10000,
                        beforeSend: function() {
                            Swal.fire({
                                title: 'Memproses.........',
                                allowEscapeKey: false,
                                allowOutsideClick: false,
                                showCancelButton: false,
                                showConfirmButton: false,
                            });
                            Swal.showLoading();
                        },
                        success: function(response){
                            Swal.fire(`Berhasil Logout!`, '', 'success');
                            setTimeout(function(){
                                window.location.href = "{% url 'profile:index_login' %}";
                            }, 2000); 
                        },
                        error: function (xhr, ajaxOptions, thrownError) {
                            Swal.fire(`Gagal Logout`, '', 'error');
                        }
                    });
                    
                }
            });
        }
    </script>
    {% block scripts_bawah %} {% endblock scripts_bawah %}

</body>
</html>

rizq_sanjaya_app/templates/profile/layouts/admin/footer.html
<footer class="sticky-footer bg-info-dark text-white">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span id="copyright"> Copyright
                &copy; <span id="current-year"></span> All Rights Reserved
                <a style="color:#FFFFFF;" >Dinas Pendidikan dan Kebudayaan Provinsi Papua Tengah</a>
            </span>
        </div>
    </div>
</footer>
<script>
    var currentYear = new Date().getFullYear();
    document.getElementById("current-year").innerHTML = currentYear;
</script>

rizq_sanjaya_app/templates/profile/layouts/admin/sidebar.html
{% load static %}

<ul class="navbar-nav bg-gradient-info sidebar sidebar-dark accordion" id="accordionSidebar">

    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{% url 'profile:admin_home' %}">
        <div class="sidebar-brand-icon">
            <img src="{% static 'admin/images/logo_only.png' %}" width="100%" height="52" alt="Logo Manage Panel">
        </div>
        <div class="sidebar-brand-text mx-1">
            <img src="{% static 'admin/images/logo_txt_only.png' %}" width="100%" height="22" alt="Logo Manage Panel">
        </div>
    </a>

    <hr class="sidebar-divider my-0">
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_home' %}">
            <i class="bi bi-house"></i>
            <span>Dashboard</span>
        </a>
    </li>
    <hr class="sidebar-divider">
    {% if request.user.is_staff or request.user.role == "admin" %}
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_setting_carousel' %}">
                <i class="bi bi-person-video3"></i>
                <span>Slider Home</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_profilskpd' %}">
                <i class="bi bi-house"></i>
                <span>Profil SKPD</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_layanan' %}">
                <i class="bi bi-house"></i>
                <span>Layanan</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link collapsed d-flex justify-content-between align-items-center" href="#" data-toggle="collapse" data-target="#informasiterpadu" aria-expanded="false" aria-controls="informasiterpadu">
                <div>
                    <i class="bi bi-list"></i>
                    <span>Informasi Terpadu</span>
                </div>
                <i class="bi bi-chevron-down"></i>
            </a>
            <div id="informasiterpadu" class="collapse" aria-labelledby="headingPages" data-parent="#accordionSidebar" >
                <div class="bg-white py-2 collapse-inner rounded">
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_infografis' %}">Infografis</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_infopublik' %}">Informasi Publik</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_agenda' %}">Agenda Kegiatan</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_regulasi' %}">Regulasi</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_kalender_pendidikan' %}">Kalender Pendidikan</a>
                </div>
            </div>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_ppid' %}">
                <i class="bi bi-list"></i>
                <span>PPID</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" target="_blank" href="{% url 'profile:adm_ppdb_index' %}">
                <i class="bi bi-list"></i>
                <span>PPDB</span></a>
        </li>
        {% endif %}

        {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "posting" %}

        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_news' %}">
                <i class="bi bi-newspaper"></i>
                <span>Berita</span></a>
        </li>
        {% endif %}
        {% if request.user.is_staff or request.user.role == "admin" %}
        
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_setting_running_link' %}">
                <i class="bi bi-star-fill"></i>
                <span>Partner Kami</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="https://app.crisp.chat/initiate/login/" target="_blank">
                <i class="bi bi-chat-left-text"></i>
                <span>Live Chat</span></a>
        </li>
        {% endif %}

        {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "admin_beasiswa" %}

            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_pelayanan_pengaduan' %}">
                    <i class="bi bi-newspaper"></i>
                    <span>Pelayanan Pengaduan</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_kat_pengaduan' %}">
                    <i class="bi bi-star-fill"></i>
                    <span>Kategori Pengaduan</span></a>
            </li>
        {% endif %}
            
    {% if request.user.is_staff or request.user.role == "admin" %}
        <li class="nav-item">
            <a class="nav-link collapsed d-flex justify-content-between align-items-center" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="false" aria-controls="collapsePages">
                <div>
                    <i class="bi bi-gear"></i>
                    <span>Setting Aplikasi</span>
                </div>
                <i class="bi bi-chevron-down"></i>
            </a>
            <div id="collapsePages" class="collapse" aria-labelledby="headingPages" data-parent="#accordionSidebar" >
                <div class="bg-white py-2 collapse-inner rounded">
                    <a class="collapse-item"  href="{% url 'profile:admin_user' %}">Master User</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_setting_infografis' %}">Informasi Web</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_aksesbilitas' %}">Aksesbilitas Integrasi</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_setting_category' %}">Master Kategori</a>
                </div>
            </div>
        </li>
    {% endif %}
    <li class="nav-item">
        <a class="nav-link" href="{{MEDIA_URL}}/manual_book/MANUAL BOOK - SAGU - SUPPORT WEB DINAS.pdf" target="_blank">
            <i class="bi bi-journal-arrow-down"></i>
            <span>Manual Book SAGU</span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="https://youtu.be/eVhegXbTy_M" target="_blank">
            <i class="bi bi-youtube"></i>
            <span>Video Tutorial SAGU</span>
        </a>
    </li>
    
    <hr class="sidebar-divider d-none d-md-block">

    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0 text-white" id="sidebarToggle">
            <i class="bi bi-layout-sidebar"></i>
        </button>
    </div>

</ul>